// python wrapper for QVTKInteractor
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "QVTKInteractor.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_QVTKInteractor(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_QVTKInteractor(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_QVTKInteractorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_QVTKInteractorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkRenderWindowInteractorNew
extern "C" { PyObject *PyVTKClass_vtkRenderWindowInteractorNew(const char *); }
#define DECLARED_PyVTKClass_vtkRenderWindowInteractorNew
#endif

static const char **PyQVTKInteractor_Doc();


static PyObject *
PyQVTKInteractor_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  QVTKInteractor *op = static_cast<QVTKInteractor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->QVTKInteractor::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyQVTKInteractor_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  QVTKInteractor *op = static_cast<QVTKInteractor *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->QVTKInteractor::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyQVTKInteractor_TerminateApp(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "TerminateApp");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  QVTKInteractor *op = static_cast<QVTKInteractor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->TerminateApp();
      }
    else
      {
      op->QVTKInteractor::TerminateApp();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyQVTKInteractor_Start(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Start");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  QVTKInteractor *op = static_cast<QVTKInteractor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Start();
      }
    else
      {
      op->QVTKInteractor::Start();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyQVTKInteractor_Initialize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Initialize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  QVTKInteractor *op = static_cast<QVTKInteractor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Initialize();
      }
    else
      {
      op->QVTKInteractor::Initialize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyQVTKInteractor_StartListening(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "StartListening");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  QVTKInteractor *op = static_cast<QVTKInteractor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->StartListening();
      }
    else
      {
      op->QVTKInteractor::StartListening();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyQVTKInteractor_StopListening(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "StopListening");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  QVTKInteractor *op = static_cast<QVTKInteractor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->StopListening();
      }
    else
      {
      op->QVTKInteractor::StopListening();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyQVTKInteractor_TimerEvent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "TimerEvent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  QVTKInteractor *op = static_cast<QVTKInteractor *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->TimerEvent(temp0);
      }
    else
      {
      op->QVTKInteractor::TimerEvent(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyQVTKInteractor_Methods[] = {
  {(char*)"GetClassName", PyQVTKInteractor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyQVTKInteractor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"TerminateApp", PyQVTKInteractor_TerminateApp, 1,
   (char*)"V.TerminateApp()\nC++: virtual void TerminateApp()\n\nOverloaded terminiate app, which does nothing in Qt. Use\nqApp->exit() instead.\n"},
  {(char*)"Start", PyQVTKInteractor_Start, 1,
   (char*)"V.Start()\nC++: virtual void Start()\n\nOverloaded start method does nothing. Use qApp->exec() instead.\n"},
  {(char*)"Initialize", PyQVTKInteractor_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize()\n\nOverloaded start method does nothing. Use qApp->exec() instead.\n"},
  {(char*)"StartListening", PyQVTKInteractor_StartListening, 1,
   (char*)"V.StartListening()\nC++: virtual void StartListening()\n\nStart listening events on 3DConnexion device.\n"},
  {(char*)"StopListening", PyQVTKInteractor_StopListening, 1,
   (char*)"V.StopListening()\nC++: virtual void StopListening()\n\nStop listening events on 3DConnexion device.\n"},
  {(char*)"TimerEvent", PyQVTKInteractor_TimerEvent, 1,
   (char*)"V.TimerEvent(int)\nC++: virtual void TimerEvent(int timerId)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyQVTKInteractor_StaticNew()
{
  return QVTKInteractor::New();
}

PyObject *PyVTKClass_QVTKInteractorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyQVTKInteractor_StaticNew,
    PyQVTKInteractor_Methods,
    "QVTKInteractor", modulename,
    NULL, NULL,
    PyQVTKInteractor_Doc(),
    PyVTKClass_vtkRenderWindowInteractorNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(vtkCommand::UserEvent + 100);
    if (o && PyDict_SetItemString(d, (char *)"ContextMenuEvent", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(vtkCommand::UserEvent + 101);
    if (o && PyDict_SetItemString(d, (char *)"DragEnterEvent", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(vtkCommand::UserEvent + 102);
    if (o && PyDict_SetItemString(d, (char *)"DragMoveEvent", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(vtkCommand::UserEvent + 103);
    if (o && PyDict_SetItemString(d, (char *)"DragLeaveEvent", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(vtkCommand::UserEvent + 104);
    if (o && PyDict_SetItemString(d, (char *)"DropEvent", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyQVTKInteractor_Doc()
{
  static const char *docstring[] = {
    "QVTKInteractor - An interactor for the QVTKWidget.\n\n",
    "Superclass: vtkRenderWindowInteractor\n\n",
    "QVTKInteractor is an interactor for a QVTKWiget.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_QVTKInteractor(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_QVTKInteractorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"QVTKInteractor", o) != 0)
    {
    Py_DECREF(o);
    }

}

