// python wrapper for vtkQtRecordView
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkQtRecordView.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQtRecordView(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQtRecordView(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtRecordViewNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtRecordViewNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkQtViewNew
extern "C" { PyObject *PyVTKClass_vtkQtViewNew(const char *); }
#define DECLARED_PyVTKClass_vtkQtViewNew
#endif

static const char **PyvtkQtRecordView_Doc();


static PyObject *
PyvtkQtRecordView_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRecordView *op = static_cast<vtkQtRecordView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkQtRecordView::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRecordView_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRecordView *op = static_cast<vtkQtRecordView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQtRecordView::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRecordView_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRecordView *op = static_cast<vtkQtRecordView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkQtRecordView *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQtRecordView::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQtRecordView_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkQtRecordView *tempr = vtkQtRecordView::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRecordView_GetWidget(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWidget");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRecordView *op = static_cast<vtkQtRecordView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    QWidget *tempr = (ap.IsBound() ?
      op->GetWidget() :
      op->vtkQtRecordView::GetWidget());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSIPObject(tempr, "QWidget", false);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRecordView_GetFieldType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRecordView *op = static_cast<vtkQtRecordView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetFieldType() :
      op->vtkQtRecordView::GetFieldType());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRecordView_SetFieldType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFieldType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRecordView *op = static_cast<vtkQtRecordView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFieldType(temp0);
      }
    else
      {
      op->vtkQtRecordView::SetFieldType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtRecordView_GetCurrentRow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCurrentRow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRecordView *op = static_cast<vtkQtRecordView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetCurrentRow() :
      op->vtkQtRecordView::GetCurrentRow());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRecordView_GetText(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetText");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRecordView *op = static_cast<vtkQtRecordView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetText() :
      op->vtkQtRecordView::GetText());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRecordView_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRecordView *op = static_cast<vtkQtRecordView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Update();
      }
    else
      {
      op->vtkQtRecordView::Update();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkQtRecordView_Methods[] = {
  {(char*)"GetClassName", PyvtkQtRecordView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQtRecordView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQtRecordView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtRecordView\nC++: vtkQtRecordView *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQtRecordView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtRecordView\nC++: vtkQtRecordView *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetWidget", PyvtkQtRecordView_GetWidget, 1,
   (char*)"V.GetWidget() -> QWidget\nC++: virtual QWidget *GetWidget()\n\nGet the main container of this view (a  QWidget). The application\ntypically places the view with a call to GetWidget(): something\nlike this\nthis->ui->box->layout()->addWidget(this->View->GetWidget());\n"},
  {(char*)"GetFieldType", PyvtkQtRecordView_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: int GetFieldType()\n\nThe field type to copy into the output table. Should be one of\nFIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.\n"},
  {(char*)"SetFieldType", PyvtkQtRecordView_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: void SetFieldType(int)\n\nThe field type to copy into the output table. Should be one of\nFIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.\n"},
  {(char*)"GetCurrentRow", PyvtkQtRecordView_GetCurrentRow, 1,
   (char*)"V.GetCurrentRow() -> int\nC++: int GetCurrentRow()\n\n"},
  {(char*)"GetText", PyvtkQtRecordView_GetText, 1,
   (char*)"V.GetText() -> string\nC++: char *GetText()\n\n"},
  {(char*)"Update", PyvtkQtRecordView_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update()\n\nUpdates the view.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkQtRecordView_StaticNew()
{
  return vtkQtRecordView::New();
}

PyObject *PyVTKClass_vtkQtRecordViewNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkQtRecordView_StaticNew,
    PyvtkQtRecordView_Methods,
    "vtkQtRecordView", modulename,
    NULL, NULL,
    PyvtkQtRecordView_Doc(),
    PyVTKClass_vtkQtViewNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"FIELD_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"POINT_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"CELL_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(3);
    if (o && PyDict_SetItemString(d, (char *)"VERTEX_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(4);
    if (o && PyDict_SetItemString(d, (char *)"EDGE_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(5);
    if (o && PyDict_SetItemString(d, (char *)"ROW_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkQtRecordView_Doc()
{
  static const char *docstring[] = {
    "vtkQtRecordView - Superclass for QAbstractItemView-based views.\n\n",
    "Superclass: vtkQtView\n\n",
    "This superclass provides all the plumbing to integrate a\nQAbstractItemView into the VTK view framework, including reporting\nselection changes and detecting selection changes from linked views.\n\nThanks:\n\nThanks to Brian Wylie from Sandia National Laboratories for\nimplementing this class\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQtRecordView(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQtRecordViewNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQtRecordView", o) != 0)
    {
    Py_DECREF(o);
    }

}

