// python wrapper for vtkQtRichTextView
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkQtRichTextView.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQtRichTextView(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQtRichTextView(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtRichTextViewNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtRichTextViewNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkQtViewNew
extern "C" { PyObject *PyVTKClass_vtkQtViewNew(const char *); }
#define DECLARED_PyVTKClass_vtkQtViewNew
#endif

static const char **PyvtkQtRichTextView_Doc();


static PyObject *
PyvtkQtRichTextView_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkQtRichTextView::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQtRichTextView::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkQtRichTextView *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQtRichTextView::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkQtRichTextView *tempr = vtkQtRichTextView::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_GetWidget(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWidget");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    QWidget *tempr = (ap.IsBound() ?
      op->GetWidget() :
      op->vtkQtRichTextView::GetWidget());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSIPObject(tempr, "QWidget", false);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_SetFieldType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFieldType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFieldType(temp0);
      }
    else
      {
      op->vtkQtRichTextView::SetFieldType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_GetFieldType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetFieldType() :
      op->vtkQtRichTextView::GetFieldType());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_SetContentColumnName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetContentColumnName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetContentColumnName(temp0);
      }
    else
      {
      op->vtkQtRichTextView::SetContentColumnName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_GetContentColumnName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetContentColumnName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetContentColumnName() :
      op->vtkQtRichTextView::GetContentColumnName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_SetPreviewColumnName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPreviewColumnName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPreviewColumnName(temp0);
      }
    else
      {
      op->vtkQtRichTextView::SetPreviewColumnName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_GetPreviewColumnName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPreviewColumnName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetPreviewColumnName() :
      op->vtkQtRichTextView::GetPreviewColumnName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_SetTitleColumnName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTitleColumnName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTitleColumnName(temp0);
      }
    else
      {
      op->vtkQtRichTextView::SetTitleColumnName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_GetTitleColumnName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTitleColumnName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetTitleColumnName() :
      op->vtkQtRichTextView::GetTitleColumnName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_SetProxyURL(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetProxyURL");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetProxyURL(temp0);
      }
    else
      {
      op->vtkQtRichTextView::SetProxyURL(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_GetProxyURL(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyURL");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetProxyURL() :
      op->vtkQtRichTextView::GetProxyURL());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_SetProxyPort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetProxyPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetProxyPort(temp0);
      }
    else
      {
      op->vtkQtRichTextView::SetProxyPort(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_GetProxyPort(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProxyPort");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetProxyPort() :
      op->vtkQtRichTextView::GetProxyPort());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtRichTextView_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtRichTextView *op = static_cast<vtkQtRichTextView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Update();
      }
    else
      {
      op->vtkQtRichTextView::Update();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkQtRichTextView_Methods[] = {
  {(char*)"GetClassName", PyvtkQtRichTextView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQtRichTextView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQtRichTextView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtRichTextView\nC++: vtkQtRichTextView *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQtRichTextView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtRichTextView\nC++: vtkQtRichTextView *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetWidget", PyvtkQtRichTextView_GetWidget, 1,
   (char*)"V.GetWidget() -> QWidget\nC++: virtual QWidget *GetWidget()\n\nGet the main container of this view (a  QWidget). The application\ntypically places the view with a call to GetWidget(): something\nlike this\nthis->ui->box->layout()->addWidget(this->View->GetWidget());\n"},
  {(char*)"SetFieldType", PyvtkQtRichTextView_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: void SetFieldType(int)\n\nThe field type to copy into the output table. Should be one of\nFIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.\n"},
  {(char*)"GetFieldType", PyvtkQtRichTextView_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: int GetFieldType()\n\nThe field type to copy into the output table. Should be one of\nFIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.\n"},
  {(char*)"SetContentColumnName", PyvtkQtRichTextView_SetContentColumnName, 1,
   (char*)"V.SetContentColumnName(string)\nC++: void SetContentColumnName(char *)\n\nIf a vtkTable is provided as input to the view, this sets the\ncolumn name to use for the content.  (Default: 'http').\n"},
  {(char*)"GetContentColumnName", PyvtkQtRichTextView_GetContentColumnName, 1,
   (char*)"V.GetContentColumnName() -> string\nC++: char *GetContentColumnName()\n\nIf a vtkTable is provided as input to the view, this sets the\ncolumn name to use for the content.  (Default: 'http').\n"},
  {(char*)"SetPreviewColumnName", PyvtkQtRichTextView_SetPreviewColumnName, 1,
   (char*)"V.SetPreviewColumnName(string)\nC++: void SetPreviewColumnName(char *)\n\nIf a vtkTable is provided as input to the view, this sets the\ncolumn name to use for the preview when multiple items in\nselection.\n"},
  {(char*)"GetPreviewColumnName", PyvtkQtRichTextView_GetPreviewColumnName, 1,
   (char*)"V.GetPreviewColumnName() -> string\nC++: char *GetPreviewColumnName()\n\nIf a vtkTable is provided as input to the view, this sets the\ncolumn name to use for the preview when multiple items in\nselection.\n"},
  {(char*)"SetTitleColumnName", PyvtkQtRichTextView_SetTitleColumnName, 1,
   (char*)"V.SetTitleColumnName(string)\nC++: void SetTitleColumnName(char *)\n\nIf a vtkTable is provided as input to the view, this sets the\ncolumn name to use for the title displayed in the title bar.\n"},
  {(char*)"GetTitleColumnName", PyvtkQtRichTextView_GetTitleColumnName, 1,
   (char*)"V.GetTitleColumnName() -> string\nC++: char *GetTitleColumnName()\n\nIf a vtkTable is provided as input to the view, this sets the\ncolumn name to use for the title displayed in the title bar.\n"},
  {(char*)"SetProxyURL", PyvtkQtRichTextView_SetProxyURL, 1,
   (char*)"V.SetProxyURL(string)\nC++: void SetProxyURL(char *)\n\nThis field sets a URL for a HTTP proxy server.\n"},
  {(char*)"GetProxyURL", PyvtkQtRichTextView_GetProxyURL, 1,
   (char*)"V.GetProxyURL() -> string\nC++: char *GetProxyURL()\n\nThis field sets a URL for a HTTP proxy server.\n"},
  {(char*)"SetProxyPort", PyvtkQtRichTextView_SetProxyPort, 1,
   (char*)"V.SetProxyPort(int)\nC++: void SetProxyPort(int a)\n\nThis fields sets the port number for a HTTP proxy server.\n"},
  {(char*)"GetProxyPort", PyvtkQtRichTextView_GetProxyPort, 1,
   (char*)"V.GetProxyPort() -> int\nC++: int GetProxyPort()\n\nThis fields sets the port number for a HTTP proxy server.\n"},
  {(char*)"Update", PyvtkQtRichTextView_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update()\n\nUpdates the view.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkQtRichTextView_StaticNew()
{
  return vtkQtRichTextView::New();
}

PyObject *PyVTKClass_vtkQtRichTextViewNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkQtRichTextView_StaticNew,
    PyvtkQtRichTextView_Methods,
    "vtkQtRichTextView", modulename,
    NULL, NULL,
    PyvtkQtRichTextView_Doc(),
    PyVTKClass_vtkQtViewNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"FIELD_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"POINT_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"CELL_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(3);
    if (o && PyDict_SetItemString(d, (char *)"VERTEX_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(4);
    if (o && PyDict_SetItemString(d, (char *)"EDGE_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(5);
    if (o && PyDict_SetItemString(d, (char *)"ROW_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkQtRichTextView_Doc()
{
  static const char *docstring[] = {
    "vtkQtRichTextView - Superclass for QAbstractItemView-based views.\n\n",
    "Superclass: vtkQtView\n\n",
    "This superclass provides all the plumbing to integrate a\nQAbstractItemView into the VTK view framework, including reporting\nselection changes and detecting selection changes from linked views.\n\nThanks:\n\nThanks to Bob Kerr from Sandia National Laboratories for implementing\nthis class\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQtRichTextView(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQtRichTextViewNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQtRichTextView", o) != 0)
    {
    Py_DECREF(o);
    }

}

