// python wrapper for vtkQtTreeView
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkQtTreeView.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQtTreeView(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQtTreeView(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtTreeViewNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtTreeViewNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkQtViewNew
extern "C" { PyObject *PyVTKClass_vtkQtViewNew(const char *); }
#define DECLARED_PyVTKClass_vtkQtViewNew
#endif

static const char **PyvtkQtTreeView_Doc();


static PyObject *
PyvtkQtTreeView_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkQtTreeView::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQtTreeView::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkQtTreeView *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQtTreeView::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkQtTreeView *tempr = vtkQtTreeView::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_GetWidget(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWidget");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    QWidget *tempr = (ap.IsBound() ?
      op->GetWidget() :
      op->vtkQtTreeView::GetWidget());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSIPObject(tempr, "QWidget", false);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_SetShowHeaders(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShowHeaders");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetShowHeaders(temp0);
      }
    else
      {
      op->vtkQtTreeView::SetShowHeaders(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_SetAlternatingRowColors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAlternatingRowColors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAlternatingRowColors(temp0);
      }
    else
      {
      op->vtkQtTreeView::SetAlternatingRowColors(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_SetEnableDragDrop(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEnableDragDrop");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEnableDragDrop(temp0);
      }
    else
      {
      op->vtkQtTreeView::SetEnableDragDrop(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_SetShowRootNode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShowRootNode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetShowRootNode(temp0);
      }
    else
      {
      op->vtkQtTreeView::SetShowRootNode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_HideColumn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HideColumn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->HideColumn(temp0);
      }
    else
      {
      op->vtkQtTreeView::HideColumn(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_ShowColumn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ShowColumn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->ShowColumn(temp0);
      }
    else
      {
      op->vtkQtTreeView::ShowColumn(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_HideAllButFirstColumn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HideAllButFirstColumn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->HideAllButFirstColumn();
      }
    else
      {
      op->vtkQtTreeView::HideAllButFirstColumn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_SetFilterColumn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFilterColumn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFilterColumn(temp0);
      }
    else
      {
      op->vtkQtTreeView::SetFilterColumn(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_SetFilterRegExp(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFilterRegExp");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  QRegExp *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSIPObject(temp0, "QRegExp"))
    {
    if (ap.IsBound())
      {
      op->SetFilterRegExp(*temp0);
      }
    else
      {
      op->vtkQtTreeView::SetFilterRegExp(*temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_SetFilterTreeLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFilterTreeLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFilterTreeLevel(temp0);
      }
    else
      {
      op->vtkQtTreeView::SetFilterTreeLevel(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_Collapse(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Collapse");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  QModelIndex *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSIPObject(temp0, "QModelIndex"))
    {
    if (ap.IsBound())
      {
      op->Collapse(*temp0);
      }
    else
      {
      op->vtkQtTreeView::Collapse(*temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_CollapseAll(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CollapseAll");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CollapseAll();
      }
    else
      {
      op->vtkQtTreeView::CollapseAll();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_Expand(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Expand");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  QModelIndex *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSIPObject(temp0, "QModelIndex"))
    {
    if (ap.IsBound())
      {
      op->Expand(*temp0);
      }
    else
      {
      op->vtkQtTreeView::Expand(*temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_ExpandAll(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ExpandAll");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ExpandAll();
      }
    else
      {
      op->vtkQtTreeView::ExpandAll();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_ExpandToDepth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ExpandToDepth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->ExpandToDepth(temp0);
      }
    else
      {
      op->vtkQtTreeView::ExpandToDepth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_ResizeColumnToContents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ResizeColumnToContents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->ResizeColumnToContents(temp0);
      }
    else
      {
      op->vtkQtTreeView::ResizeColumnToContents(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_SetUseColumnView(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseColumnView");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseColumnView(temp0);
      }
    else
      {
      op->vtkQtTreeView::SetUseColumnView(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Update();
      }
    else
      {
      op->vtkQtTreeView::Update();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_SetItemDelegate(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetItemDelegate");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  QAbstractItemDelegate *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSIPObject(temp0, "QAbstractItemDelegate"))
    {
    if (ap.IsBound())
      {
      op->SetItemDelegate(temp0);
      }
    else
      {
      op->vtkQtTreeView::SetItemDelegate(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_SetColorArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorArrayName(temp0);
      }
    else
      {
      op->vtkQtTreeView::SetColorArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_GetColorArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetColorArrayName() :
      op->vtkQtTreeView::GetColorArrayName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_SetColorByArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorByArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorByArray(temp0);
      }
    else
      {
      op->vtkQtTreeView::SetColorByArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_GetColorByArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorByArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetColorByArray() :
      op->vtkQtTreeView::GetColorByArray());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_ColorByArrayOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ColorByArrayOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ColorByArrayOn();
      }
    else
      {
      op->vtkQtTreeView::ColorByArrayOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_ColorByArrayOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ColorByArrayOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ColorByArrayOff();
      }
    else
      {
      op->vtkQtTreeView::ColorByArrayOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeView_ApplyViewTheme(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ApplyViewTheme");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeView *op = static_cast<vtkQtTreeView *>(vp);

  vtkViewTheme *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkViewTheme"))
    {
    if (ap.IsBound())
      {
      op->ApplyViewTheme(temp0);
      }
    else
      {
      op->vtkQtTreeView::ApplyViewTheme(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkQtTreeView_Methods[] = {
  {(char*)"GetClassName", PyvtkQtTreeView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQtTreeView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQtTreeView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtTreeView\nC++: vtkQtTreeView *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQtTreeView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtTreeView\nC++: vtkQtTreeView *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetWidget", PyvtkQtTreeView_GetWidget, 1,
   (char*)"V.GetWidget() -> QWidget\nC++: virtual QWidget *GetWidget()\n\nGet the main container of this view (a  QWidget). The application\ntypically places the view with a call to GetWidget(): something\nlike this\nthis->ui->box->layout()->addWidget(this->View->GetWidget());\n"},
  {(char*)"SetShowHeaders", PyvtkQtTreeView_SetShowHeaders, 1,
   (char*)"V.SetShowHeaders(bool)\nC++: void SetShowHeaders(bool)\n\nHave the view show/hide its column headers (default is ON)\n"},
  {(char*)"SetAlternatingRowColors", PyvtkQtTreeView_SetAlternatingRowColors, 1,
   (char*)"V.SetAlternatingRowColors(bool)\nC++: void SetAlternatingRowColors(bool)\n\nHave the view alternate its row colors (default is OFF)\n"},
  {(char*)"SetEnableDragDrop", PyvtkQtTreeView_SetEnableDragDrop, 1,
   (char*)"V.SetEnableDragDrop(bool)\nC++: void SetEnableDragDrop(bool)\n\nHave the view alternate its row colors (default is OFF)\n"},
  {(char*)"SetShowRootNode", PyvtkQtTreeView_SetShowRootNode, 1,
   (char*)"V.SetShowRootNode(bool)\nC++: void SetShowRootNode(bool)\n\nShow the root node of the tree (default is OFF)\n"},
  {(char*)"HideColumn", PyvtkQtTreeView_HideColumn, 1,
   (char*)"V.HideColumn(int)\nC++: void HideColumn(int i)\n\nHide the column of the given index from being shown in the view\n"},
  {(char*)"ShowColumn", PyvtkQtTreeView_ShowColumn, 1,
   (char*)"V.ShowColumn(int)\nC++: void ShowColumn(int i)\n\nShow the column of the given index in the view\n"},
  {(char*)"HideAllButFirstColumn", PyvtkQtTreeView_HideAllButFirstColumn, 1,
   (char*)"V.HideAllButFirstColumn()\nC++: void HideAllButFirstColumn()\n\nHide all but the first column in the view\n"},
  {(char*)"SetFilterColumn", PyvtkQtTreeView_SetFilterColumn, 1,
   (char*)"V.SetFilterColumn(int)\nC++: void SetFilterColumn(int i)\n\nThe column used to filter on\n"},
  {(char*)"SetFilterRegExp", PyvtkQtTreeView_SetFilterRegExp, 1,
   (char*)"V.SetFilterRegExp(QRegExp)\nC++: void SetFilterRegExp(const QRegExp &pattern)\n\nThe column used to filter on\n"},
  {(char*)"SetFilterTreeLevel", PyvtkQtTreeView_SetFilterTreeLevel, 1,
   (char*)"V.SetFilterTreeLevel(int)\nC++: void SetFilterTreeLevel(int level)\n\nThe column used to filter on\n"},
  {(char*)"Collapse", PyvtkQtTreeView_Collapse, 1,
   (char*)"V.Collapse(QModelIndex)\nC++: void Collapse(const QModelIndex &index)\n\nCollapses the model item specified by the index.\n"},
  {(char*)"CollapseAll", PyvtkQtTreeView_CollapseAll, 1,
   (char*)"V.CollapseAll()\nC++: void CollapseAll()\n\nCollapses all expanded items.\n"},
  {(char*)"Expand", PyvtkQtTreeView_Expand, 1,
   (char*)"V.Expand(QModelIndex)\nC++: void Expand(const QModelIndex &index)\n\nExpands the model item specified by the index.\n"},
  {(char*)"ExpandAll", PyvtkQtTreeView_ExpandAll, 1,
   (char*)"V.ExpandAll()\nC++: void ExpandAll()\n\nExpands all expandable items. Warning: if the model contains a\nlarge number of items, this function will take some time to\nexecute.\n"},
  {(char*)"ExpandToDepth", PyvtkQtTreeView_ExpandToDepth, 1,
   (char*)"V.ExpandToDepth(int)\nC++: void ExpandToDepth(int depth)\n\nExpands all expandable items to the given depth.\n"},
  {(char*)"ResizeColumnToContents", PyvtkQtTreeView_ResizeColumnToContents, 1,
   (char*)"V.ResizeColumnToContents(int)\nC++: void ResizeColumnToContents(int column)\n\nResizes the column given to the size of its contents.\n"},
  {(char*)"SetUseColumnView", PyvtkQtTreeView_SetUseColumnView, 1,
   (char*)"V.SetUseColumnView(int)\nC++: void SetUseColumnView(int state)\n\nSet whether to use a QColumnView (QTreeView is the default)\n"},
  {(char*)"Update", PyvtkQtTreeView_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update()\n\nUpdates the view.\n"},
  {(char*)"SetItemDelegate", PyvtkQtTreeView_SetItemDelegate, 1,
   (char*)"V.SetItemDelegate(QAbstractItemDelegate)\nC++: void SetItemDelegate(QAbstractItemDelegate *delegate)\n\nSet item delegate to something custom\n"},
  {(char*)"SetColorArrayName", PyvtkQtTreeView_SetColorArrayName, 1,
   (char*)"V.SetColorArrayName(string)\nC++: void SetColorArrayName(const char *name)\n\nThe array to use for coloring items in view.  Default is \"color\".\n"},
  {(char*)"GetColorArrayName", PyvtkQtTreeView_GetColorArrayName, 1,
   (char*)"V.GetColorArrayName() -> string\nC++: const char *GetColorArrayName()\n\nThe array to use for coloring items in view.  Default is \"color\".\n"},
  {(char*)"SetColorByArray", PyvtkQtTreeView_SetColorByArray, 1,
   (char*)"V.SetColorByArray(bool)\nC++: void SetColorByArray(bool vis)\n\nWhether to color vertices.  Default is off.\n"},
  {(char*)"GetColorByArray", PyvtkQtTreeView_GetColorByArray, 1,
   (char*)"V.GetColorByArray() -> bool\nC++: bool GetColorByArray()\n\nWhether to color vertices.  Default is off.\n"},
  {(char*)"ColorByArrayOn", PyvtkQtTreeView_ColorByArrayOn, 1,
   (char*)"V.ColorByArrayOn()\nC++: void ColorByArrayOn()\n\nWhether to color vertices.  Default is off.\n"},
  {(char*)"ColorByArrayOff", PyvtkQtTreeView_ColorByArrayOff, 1,
   (char*)"V.ColorByArrayOff()\nC++: void ColorByArrayOff()\n\nWhether to color vertices.  Default is off.\n"},
  {(char*)"ApplyViewTheme", PyvtkQtTreeView_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme(vtkViewTheme *theme)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkQtTreeView_StaticNew()
{
  return vtkQtTreeView::New();
}

PyObject *PyVTKClass_vtkQtTreeViewNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkQtTreeView_StaticNew,
    PyvtkQtTreeView_Methods,
    "vtkQtTreeView", modulename,
    NULL, NULL,
    PyvtkQtTreeView_Doc(),
    PyVTKClass_vtkQtViewNew(modulename));
  return cls;
}

const char **PyvtkQtTreeView_Doc()
{
  static const char *docstring[] = {
    "vtkQtTreeView - A VTK view based on a Qt tree view.\n\n",
    "Superclass: vtkQtView\n\n",
    "vtkQtTreeView is a VTK view using an underlying QTreeView.\n\nThanks:\n\nThanks to Brian Wylie from Sandia National Laboratories for\nimplementing this class\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQtTreeView(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQtTreeViewNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQtTreeView", o) != 0)
    {
    Py_DECREF(o);
    }

}

