// python wrapper for vtkQtView
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkQtView.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQtView(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQtView(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtViewNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtViewNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkViewNew
extern "C" { PyObject *PyVTKClass_vtkViewNew(const char *); }
#define DECLARED_PyVTKClass_vtkViewNew
#endif

static const char **PyvtkQtView_Doc();


static PyObject *
PyvtkQtView_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtView *op = static_cast<vtkQtView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkQtView::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtView_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtView *op = static_cast<vtkQtView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQtView::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtView_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtView *op = static_cast<vtkQtView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkQtView *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQtView::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQtView_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkQtView *tempr = vtkQtView::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtView_GetWidget(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWidget");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtView *op = static_cast<vtkQtView *>(vp);

  PyObject *result = NULL;

  if (op && !ap.IsPureVirtual() && ap.CheckArgCount(0))
    {
    QWidget *tempr = op->GetWidget();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSIPObject(tempr, "QWidget", false);
      }
    }

  return result;
}


static PyObject *
PyvtkQtView_ProcessQtEvents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ProcessQtEvents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtView *op = static_cast<vtkQtView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ProcessQtEvents();
      }
    else
      {
      op->vtkQtView::ProcessQtEvents();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtView_ProcessQtEventsNoUserInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ProcessQtEventsNoUserInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtView *op = static_cast<vtkQtView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ProcessQtEventsNoUserInput();
      }
    else
      {
      op->vtkQtView::ProcessQtEventsNoUserInput();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtView_SaveImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SaveImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtView *op = static_cast<vtkQtView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    bool tempr = (ap.IsBound() ?
      op->SaveImage(temp0) :
      op->vtkQtView::SaveImage(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkQtView_Methods[] = {
  {(char*)"GetClassName", PyvtkQtView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQtView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQtView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtView\nC++: vtkQtView *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQtView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtView\nC++: vtkQtView *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetWidget", PyvtkQtView_GetWidget, 1,
   (char*)"V.GetWidget() -> QWidget\nC++: virtual QWidget *GetWidget()\n\nGet the main container of this view (a  QWidget). The application\ntypically places the view with a call to GetWidget(): something\nlike this\nthis->ui->box->layout()->addWidget(this->View->GetWidget());\n"},
  {(char*)"ProcessQtEvents", PyvtkQtView_ProcessQtEvents, 1,
   (char*)"V.ProcessQtEvents()\nC++: virtual void ProcessQtEvents()\n\nCalls QApplication::processEvents().  This is useful if you are\nusing QWidgets but have not called QApplication::exec because you\ndon't want to give control to the Qt event loop.  See also\nProcessQtEventsNoUserEvents().\n"},
  {(char*)"ProcessQtEventsNoUserInput", PyvtkQtView_ProcessQtEventsNoUserInput, 1,
   (char*)"V.ProcessQtEventsNoUserInput()\nC++: virtual void ProcessQtEventsNoUserInput()\n\nCalls\nQApplication::processEvents(QEventLoop::ExcludeUserInputEvents).\nSee also ProcessQtEvents().\n"},
  {(char*)"SaveImage", PyvtkQtView_SaveImage, 1,
   (char*)"V.SaveImage(string) -> bool\nC++: virtual bool SaveImage(const char *fileName)\n\nSave an image.  Uses QPixmap::grab and QPixmap::save.  The image\nformat will be determined from the filename.  Qt's image format\nsupport may vary, usually bmp, jpg, ppm, or png is a safe choice.\n Returns false if there was a failure.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkQtViewNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkQtView_Methods,
    "vtkQtView", modulename,
    NULL, NULL,
    PyvtkQtView_Doc(),
    PyVTKClass_vtkViewNew(modulename));
  return cls;
}

const char **PyvtkQtView_Doc()
{
  static const char *docstring[] = {
    "vtkQtView - Superclass for Qt widget-based views.\n\n",
    "Superclass: vtkView\n\n",
    "This abstract superclass provides common api to integrate a Qt widget\ninto the VTK view framework. Not much here yet, but in the future\nthere could be methods around selection, event-handling,\ndrag-and-drop, etc.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQtView(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQtViewNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQtView", o) != 0)
    {
    Py_DECREF(o);
    }

}

